Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_ProxyPushConsumer Class Reference

ProxyPushConsumer. More...

`#include <CEC_ProxyPushConsumer.h>`

List of all members.

## Public Types
typedef CosEventChannelAdmin::ProxyPushConsumer_ptr | _ptr_type
typedef CosEventChannelAdmin::ProxyPushConsumer_var | _var_type
## Public Methods
| TAO_CEC_ProxyPushConsumer (TAO_CEC_EventChannel *event_channel)
| constructor...
virtual | ~TAO_CEC_ProxyPushConsumer (void)
| destructor...

## Detailed Description

ProxyPushConsumer.

Implement the CosEventChannelAdmin::ProxyPushConsumer interface, remember that this class is used to communicate with a PushSupplier, so, in effect, this is the ambassador for a supplier inside the event channel. = MEMORY MANAGMENT The object commits suicide when disconnect_push_consumer() is called.

## Member Typedef Documentation

typedef CosEventChannelAdmin::ProxyPushConsumer_ptr TAO_CEC_ProxyPushConsumer::_ptr_type

typedef CosEventChannelAdmin::ProxyPushConsumer_var TAO_CEC_ProxyPushConsumer::_var_type

## Constructor & Destructor Documentation

TAO_CEC_ProxyPushConsumer::TAO_CEC_ProxyPushConsumer | ( | TAO_CEC_EventChannel * | event_channel | ) |

| constructor...

TAO_CEC_ProxyPushConsumer::~TAO_CEC_ProxyPushConsumer | ( | void |  | ) | `[virtual]`

| destructor...

The documentation for this class was generated from the following files:

- CEC_ProxyPushConsumer.h
- CEC_ProxyPushConsumer.cpp